# ArtifactsApi

All URIs are relative to *<https://api.ionos.com/containerregistries>*

| Method                                                                                                      | HTTP request                                                                                      | Description                          |
| ----------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------- | ------------------------------------ |
| [**registriesArtifactsGet**](#registriesartifactsget)                                                       | **GET** /registries/{registryId}/artifacts                                                        | Retrieve all Artifacts by Registry   |
| [**registriesRepositoriesArtifactsFindByDigest**](#registriesrepositoriesartifactsfindbydigest)             | **GET** /registries/{registryId}/repositories/{repositoryName}/artifacts/{digest}                 | Retrieve Artifact                    |
| [**registriesRepositoriesArtifactsGet**](#registriesrepositoriesartifactsget)                               | **GET** /registries/{registryId}/repositories/{repositoryName}/artifacts                          | Retrieve all Artifacts by Repository |
| [**registriesRepositoriesArtifactsVulnerabilitiesGet**](#registriesrepositoriesartifactsvulnerabilitiesget) | **GET** /registries/{registryId}/repositories/{repositoryName}/artifacts/{digest}/vulnerabilities | Retrieve all Vulnerabilities         |

## registriesArtifactsGet

> registriesArtifactsGet(registryId, opts)

Retrieve all Artifacts by Registry

This endpoint enables retrieving all Artifacts using pagination and optional filters.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs-container-registry');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.ArtifactsApi(config);
var filterMap = new Map()
filterMap.set("<property_name>", "<property_value>")
// Retrieve all Artifacts by Registry
api_instance
  .registriesArtifactsGet({
    registryId: 1e41a73c-59d0-5507-86dd-fa2fc2501cfd,
    offset: 0,
    limit: 100,
    filterVulnerabilityId: filterVulnerabilityId_example,
    orderBy: orderBy_example, 
    maxResults: 2,
    filters: filterMap
    options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                      | Type                                                                                                             | Description                                                                                                           | Notes                              |
| ------------------------- | ---------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **registryId**            | [**string**](https://github.com/ionos-cloud/sdk-nodejs-container-registry/blob/master/docs/models/.md/README.md) | The ID (UUID) of the Registry.                                                                                        | \[default to undefined]            |
| **offset**                | **number**                                                                                                       | The first element (of the total list of elements) to include in the response. Use together with limit for pagination. | \[optional]\[default to 0]         |
| **limit**                 | **number**                                                                                                       | The maximum number of elements to return. Use together with offset for pagination.                                    | \[optional]\[default to 100]       |
| **filterVulnerabilityId** | **string**                                                                                                       | Filter resources by vulnerabilityId.                                                                                  | \[optional]\[default to undefined] |
| **orderBy**               | \*\*'-pullCount'                                                                                                 | '-pushCount'                                                                                                          | '-lastPush'                        |

### Return type

[**RegistryArtifactsReadList**](/container-registry-sdk-nodejs/models/registryartifactsreadlist.md)

### Authorization

tokenAuth

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## registriesRepositoriesArtifactsFindByDigest

> registriesRepositoriesArtifactsFindByDigest(registryId, repositoryName, digest)

Retrieve Artifact

Returns the Artifact by Digest.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs-container-registry');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.ArtifactsApi(config);
// Retrieve Artifact
api_instance
  .registriesRepositoriesArtifactsFindByDigest({
    registryId: 1e41a73c-59d0-5507-86dd-fa2fc2501cfd,
    repositoryName: my-service,
    digest: sha256:12345678901234567890123456789012
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name               | Type                                                                                                             | Description                                          | Notes                   |
| ------------------ | ---------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------- | ----------------------- |
| **registryId**     | [**string**](https://github.com/ionos-cloud/sdk-nodejs-container-registry/blob/master/docs/models/.md/README.md) | The ID (UUID) of the Registry.                       | \[default to undefined] |
| **repositoryName** | **string**                                                                                                       | The Name of the Repository.                          | \[default to undefined] |
| **digest**         | **string**                                                                                                       | The Digest of the Artifact that should be retrieved. | \[default to undefined] |

### Return type

[**ArtifactRead**](/container-registry-sdk-nodejs/models/artifactread.md)

### Authorization

tokenAuth

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## registriesRepositoriesArtifactsGet

> registriesRepositoriesArtifactsGet(registryId, repositoryName, opts)

Retrieve all Artifacts by Repository

This endpoint enables retrieving all Artifacts using pagination and optional filters.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs-container-registry');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.ArtifactsApi(config);
var filterMap = new Map()
filterMap.set("<property_name>", "<property_value>")
// Retrieve all Artifacts by Repository
api_instance
  .registriesRepositoriesArtifactsGet({
    registryId: 1e41a73c-59d0-5507-86dd-fa2fc2501cfd,
    repositoryName: my-service,
    offset: 0,
    limit: 100,
    orderBy: orderBy_example, 
    maxResults: 2,
    filters: filterMap
    options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name               | Type                                                                                                             | Description                                                                                                           | Notes                        |
| ------------------ | ---------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- | ---------------------------- |
| **registryId**     | [**string**](https://github.com/ionos-cloud/sdk-nodejs-container-registry/blob/master/docs/models/.md/README.md) | The ID (UUID) of the Registry.                                                                                        | \[default to undefined]      |
| **repositoryName** | **string**                                                                                                       | The Name of the Repository.                                                                                           | \[default to undefined]      |
| **offset**         | **number**                                                                                                       | The first element (of the total list of elements) to include in the response. Use together with limit for pagination. | \[optional]\[default to 0]   |
| **limit**          | **number**                                                                                                       | The maximum number of elements to return. Use together with offset for pagination.                                    | \[optional]\[default to 100] |
| **orderBy**        | \*\*'-lastPush'                                                                                                  | '-lastPull'                                                                                                           | '-lastScan'                  |

### Return type

[**ArtifactReadList**](/container-registry-sdk-nodejs/models/artifactreadlist.md)

### Authorization

tokenAuth

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## registriesRepositoriesArtifactsVulnerabilitiesGet

> registriesRepositoriesArtifactsVulnerabilitiesGet(registryId, repositoryName, digest, opts)

Retrieve all Vulnerabilities

This endpoint enables retrieving all Vulnerabilities using pagination and optional filters.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs-container-registry');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.ArtifactsApi(config);
var filterMap = new Map()
filterMap.set("<property_name>", "<property_value>")
// Retrieve all Vulnerabilities
api_instance
  .registriesRepositoriesArtifactsVulnerabilitiesGet({
    registryId: 1e41a73c-59d0-5507-86dd-fa2fc2501cfd,
    repositoryName: my-service,
    digest: sha256:12345678901234567890123456789012,
    offset: 0,
    limit: 100,
    filterSeverity: filterSeverity_example,
    filterFixable: true,
    orderBy: orderBy_example, 
    maxResults: 2,
    filters: filterMap
    options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name               | Type                                                                                                             | Description                                                                                                           | Notes                              |
| ------------------ | ---------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **registryId**     | [**string**](https://github.com/ionos-cloud/sdk-nodejs-container-registry/blob/master/docs/models/.md/README.md) | The ID (UUID) of the Registry.                                                                                        | \[default to undefined]            |
| **repositoryName** | **string**                                                                                                       | The Name of the Repository.                                                                                           | \[default to undefined]            |
| **digest**         | **string**                                                                                                       | The Digest of the Artifact.                                                                                           | \[default to undefined]            |
| **offset**         | **number**                                                                                                       | The first element (of the total list of elements) to include in the response. Use together with limit for pagination. | \[optional]\[default to 0]         |
| **limit**          | **number**                                                                                                       | The maximum number of elements to return. Use together with offset for pagination.                                    | \[optional]\[default to 100]       |
| **filterSeverity** | **string**                                                                                                       | Filter resources by vulnerability severity.                                                                           | \[optional]\[default to undefined] |
| **filterFixable**  | **boolean**                                                                                                      | Filter resources by fixable (i.e. remediation action is available)                                                    | \[optional]\[default to undefined] |
| **orderBy**        | \*\*'-score'                                                                                                     | '-severity'                                                                                                           | '-publishedAt'                     |

### Return type

[**ArtifactVulnerabilityReadList**](/container-registry-sdk-nodejs/models/artifactvulnerabilityreadlist.md)

### Authorization

tokenAuth

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/container-registry-sdk-nodejs/api/artifactsapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
